summaryrefslogtreecommitdiffstats
path: root/packaging/makeself/uname2platform.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-19 02:57:58 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-19 02:57:58 +0000
commitbe1c7e50e1e8809ea56f2c9d472eccd8ffd73a97 (patch)
tree9754ff1ca740f6346cf8483ec915d4054bc5da2d /packaging/makeself/uname2platform.sh
parentInitial commit. (diff)
downloadnetdata-be1c7e50e1e8809ea56f2c9d472eccd8ffd73a97.tar.xz
netdata-be1c7e50e1e8809ea56f2c9d472eccd8ffd73a97.zip
Adding upstream version 1.44.3.upstream/1.44.3upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'packaging/makeself/uname2platform.sh')
-rwxr-xr-xpackaging/makeself/uname2platform.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/packaging/makeself/uname2platform.sh b/packaging/makeself/uname2platform.sh
new file mode 100755
index 00000000..7eab706e
--- /dev/null
+++ b/packaging/makeself/uname2platform.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+#
+# SPDX-License-Identifier: GPL-3.0-or-later
+
+set -e
+
+BUILDARCH="${1}"
+
+case "${BUILDARCH}" in
+ x86_64) echo "linux/amd64" ;;
+ armv7l) echo "linux/arm/v7" ;;
+ aarch64) echo "linux/arm64/v8" ;;
+ ppc64le) echo "linux/ppc64le" ;;
+ *)
+ echo "Unknown target architecture '${BUILDARCH}'." >&2
+ exit 1
+ ;;
+esac